<?php
require_once(SYSTEM_LOGICS . 'account_duplicate_com/logic.php');

class ControlAccountDuplicateCom extends LogicAccountDuplicateCom {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		try {
		    $this -> checkAvailability("system", function(){
		        require_once($this -> getSystemHTML('TEMPLATE_MAINTENANCE_MODE_SYSTEM_PATH'));
		        exit();
		    });
		    
			// アクション実行
			$this -> logic();
			if($this -> getType() == TYPE_EXPORT_COMMON){
				header('Content-Encoding: UTF-8');
				header("Content-type: text/csv; charset=UTF-8");
				header('Content-Disposition: attachment; filename=Account_Duplicate_Com' . date('Ymd') . '.csv');
				header('Content-Transfer-Encoding: binary');
				echo "\xEF\xBB\xBF";
				echo $this -> getExportDataCommon();

			}else{
				require_once($this -> getSystemHTML('TEMPLATE_ACCOUNT_DUPLICATE_COM_PATH', $this -> dispHTML()));
			}
		} catch (Exception $e) {
			header('Location: /');
		}
	}

}
?>